<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core" xmlns:c="http://java.sun.com/jsp/jstl/core">
<body>
<ui:composition>
    <c:set var="pageUrl"
           value="#{request.contextPath}/#{languageBean.lang}/#{facesContext.viewRoot.viewId.substring(1,facesContext.viewRoot.viewId.length()-6)}"
           scope="request"/>
    <h:panelGroup id="pagination">
        <div role="navigation">
            <ul class="pagination pull-right">
                <li class="#{catalogPagingBean.firstRow != 0 ? '' : 'disabled'}">
                    <h:outputLink id="paginationFirst" disabled="#{catalogPagingBean.firstRow == 0}">
                        <span class="glyphicon glyphicon-step-backward"/>
                        <f:param name="page" value="1"/>
                    </h:outputLink>
                </li>

                <li class="#{catalogPagingBean.firstRow != 0 ? '' : 'disabled'}">
                    <h:outputLink id="paginationPreviews" disabled="#{catalogPagingBean.firstRow == 0}">
                        <span class="glyphicon glyphicon-backward"/>
                        <f:param name="page" value="#{catalogPagingBean.currentPage - 1}"/>
                    </h:outputLink>
                </li>

                <ui:repeat value="#{catalogPagingBean.pages}" var="page">
                    <li class="#{page == catalogPagingBean.currentPage ? 'active' : ''}">
                        <h:outputLink id="paginationPage-#{page}" value="${pageUrl}"
                                      disabled="#{page == catalogPagingBean.currentPage}">
                            <h:outputText value="#{page}"/>
                            <f:param name="page" value="#{page}"/>
                        </h:outputLink>
                    </li>
                </ui:repeat>

                <li class="#{catalogPagingBean.firstRow + catalogPagingBean.rowsPerPage ge catalogPagingBean.totalRows ? 'disabled' : ''}">
                    <h:outputLink id="paginationNext" disabled="#{catalogPagingBean.firstRow + catalogPagingBean.rowsPerPage ge catalogPagingBean.totalRows}">
                        <span class="glyphicon glyphicon-forward"/>
                        <f:param name="page" value="#{catalogPagingBean.currentPage + 1}"/>
                    </h:outputLink>
                </li>

                <li class="#{catalogPagingBean.firstRow + catalogPagingBean.rowsPerPage ge catalogPagingBean.totalRows ? 'disabled' : ''}">
                    <h:outputLink id="paginationLast" disabled="#{catalogPagingBean.firstRow + catalogPagingBean.rowsPerPage ge catalogPagingBean.totalRows}">
                        <span class="glyphicon glyphicon-fast-forward"/>
                        <f:param name="page" value="#{catalogPagingBean.totalPages}"/>
                    </h:outputLink>
                </li>

                <li class="disabled">
                    <h:outputLink id="paginationNoContent" disabled="true">
                        #{msg['common.page']} #{catalogPagingBean.currentPage} / #{catalogPagingBean.totalPages}
                    </h:outputLink>
                </li>
            </ul>
        </div>
    </h:panelGroup>
    <div class="row">
        <div class="col-md-10">
            <span id="copyright">
                Flag Images &copy; Free Country Flags (<a href="http://www.free-country-flags.com/">Gang of the Coconuts</a>) / <a href="http://creativecommons.org/licenses/by-sa/3.0/">CC BY-SA 3.0</a>
            </span>
        </div>
    </div>
    <br></br>
</ui:composition>
</body>
</html>
